import { MigrationInterface, QueryRunner } from 'typeorm';

export class AddLastNotificationToQueue1734718462106
  implements MigrationInterface
{
  name = 'AddLastNotificationToQueue1734718462106';

  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(
      `ALTER TABLE "queues" ADD "last_notification" bigint NULL`,
    );
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(
      `ALTER TABLE "queues" DROP COLUMN "last_notification"`,
    );
  }
}
